Index: /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1945)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1946)
@@ -48,5 +48,5 @@
 info = {}
 is_so = info['is_so'] = context.isSectionOfficer()
-info['query_url'] = "https://webpay.interswitchng.com/test_paydirect/services/TransactionQueryURL.aspx"
+info['query_url'] = "https://webpay.interswitchng.com/paydirect/services/TransactionQueryURL.aspx"
 info['prod_id'] = '61'
 #res = context.portal_catalog(portal_type='Student',id = student_id)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 1945)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 1946)
@@ -58,5 +58,5 @@
 if True or context.portal_url().find('uniben-demo.waeup.org') >-1 or\
    context.portal_url().find('uniben.waeup.org') >-1:
-    info['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
+    info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
 else:
     #pass
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1945)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1946)
@@ -1,14 +1,14 @@
 <metal:body use-macro="here/main_template/macros/master">
-      <metal:main fill-slot="main"
-                  tal:define="info context/getPaymentsFolderInfo;">
-
-        <span tal:condition="not: info">
-          <span tal:content="here/illegal_view" />
-        </span>
-        <span tal:condition="info">
-        <span tal:define= " rows info/payments;
-                            review_state context/getStudentReviewState;
-                            is_student context/isStudent;
-                            s_name context/getStudentNameInContext;">
+  <metal:main fill-slot="main"
+              tal:define="info context/getPaymentsFolderInfo;">
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info" tal:omit-tag="">
+      <span tal:define= " rows info/payments;
+      review_state context/getStudentReviewState;
+      is_student context/isStudent;
+      s_name context/getStudentNameInContext;"
+      >
         <a href=""
            tal:attributes="href string:${context/aq_parent/absolute_url}">
@@ -17,16 +17,15 @@
         </a>
         <h3> 
-          <span tal:condition="not:is_student">
-            <span tal:content="s_name" />:
-          </span>
-          <span tal:condition="is_student">
-            My
-          </span>          
-          <span tal:content="here/title_or_id" />
+          <span tal:condition="not:is_student" tal:omit-tag="">
+            <span tal:content="s_name" />:</span>
+          <span tal:condition="is_student" tal:omit-tag="">My</span> <span tal:content="here/title_or_id" />
         </h3>
         <br />
-
-
         <table class="registration" width="100%">
+          <tr>
+            <th>Description, Amount, Date</th>
+            <th>Response</th>
+            <th>Transactioncode</th>
+          </tr>
           <tr tal:repeat="row rows"
               tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
@@ -36,21 +35,21 @@
                 <strong tal:content="row/title" /></a> 
             </td>
-          <td tal:content="row/resp_desc" />
-          <td tal:content="row/trans_ref" />
+            <td tal:content="row/resp_desc" />
+            <td tal:content="row/trans_ref" />
             <td>
-            <a tal:condition="row/is_approvable"
-               tal:attributes="href string:${context/absolute_url}/${row/id}/approve_epayment;
-                               onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure? You will not be able to undo the approval.'), );
-                               ">
+              <a tal:condition="row/is_approvable"
+                 tal:attributes="href string:${context/absolute_url}/${row/id}/approve_epayment;
+                 onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure? You will not be able to undo the approval.'), );"
+                 >
                 [approve payment]
-            </a>             
+              </a>             
             </td>
             <td tal:condition="row/is_requeryable">
-            <a tal:condition="python:1"
-               tal:attributes="href row/href;
-                               onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure?'), );
-                               ">
+              <a tal:condition="python:1"
+                 tal:attributes="href row/href;
+                 onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure?'), );"
+                 >
                 [requery payment]
-            </a>             
+              </a>             
             </td>
           </tr>
@@ -58,25 +57,26 @@
         <br />
         <div>
-        <form tal:condition="python:review_state == 'cleared_and_validated'" 
-              tal:attributes="action string: ${context/absolute_url}/pay_interswitch" method="post" class="group">
-         <input type="submit" name="epayment" 
-                class="context" 
-                value="Initiate School Fee Online Payment" 
-                />
-        </form>  
-        <form tal:condition="python:review_state == 'returning'" 
-              tal:attributes="action string: ${context/absolute_url}/pay_by_sc" method="post" class="group">
-         <input type="hidden" name="paid_session" 
-                tal:attributes="value info/next_session"
-                />
-         <input type="submit" name="epayment" 
-                class="context" 
-                value="Pay School Fee by Scratch Card"
-                tal:attributes="value string:Pay ${info/next_session_str} School Fee by Scratch Card"
-                />
-        </form>          
+          <form tal:condition="python:review_state == 'cleared_and_validated'" 
+                tal:attributes="action string: ${context/absolute_url}/pay_interswitch" method="post" class="group">
+            <input type="submit" name="epayment" 
+                   class="context" 
+                   value="Initiate School Fee Online Payment" 
+                   />
+          </form>  
+          <form tal:condition="python:review_state == 'returning'" 
+                tal:attributes="action string: ${context/absolute_url}/pay_by_sc" method="post" class="group">
+            <input type="hidden" name="paid_session" 
+                   tal:attributes="value info/next_session"
+                   />
+            <input type="submit" name="epayment" 
+                   class="context" 
+                   value="Pay School Fee by Scratch Card"
+                   tal:attributes="value string:Pay ${info/next_session_str} School Fee by Scratch Card"
+                   />
+          </form>          
         </div>        
       </span>
-      </span>
-      </metal:main>
+    </span>
+  </metal:main>
 </metal:body>
+  