Index: /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 1947)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 1948)
@@ -56,5 +56,5 @@
     <property name="vocabulary">groups_voc</property>
   </widget>
-  <table>
+ <table>
   <row>
    <cell name="id" ncols="2"/>
@@ -67,4 +67,7 @@
    <cell name="email" ncols="2"/>
   </row>
+  <row>
+   <cell name="groups" ncols="2"/>
+  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 1947)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 1948)
@@ -1,3 +1,3 @@
-## Script (Python) "epayment_cb"
+## Script (Python) "interswitch_cb"
 ##bind container=container
 ##bind context=context
@@ -18,5 +18,5 @@
         pass
 import logging
-logger = logging.getLogger('Skins.epayment_cb')
+logger = logging.getLogger('Skins.interswitch_cb')
 from AccessControl import Unauthorized
 import DateTime
@@ -51,9 +51,9 @@
 for rc,pdk in resp_codes:
     pd[pdk] = request.get(rc,'')
-if pd['resp_code'] == '00' and len(pd['resp_approved_amount']) > 4: 
+if pd['resp_code'] == '00' and len(pd['resp_approved_amount']) > 4:
     pd['resp_approved_amount'] = pd['resp_approved_amount'][:-2]
 else:
     pd['resp_approved_amount'] = '0'
-    
+
 review_state = wftool.getInfoFor(context,'review_state',None)
 if pd['resp_code'] == '' and review_state == 'opened':
@@ -80,5 +80,5 @@
 except:
     logger.info('%s no workflow action close' % student_id)
-        
+
 
 return request.RESPONSE.redirect("%s/waeup_document_view" % context.absolute_url())
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1947)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1948)
@@ -26,14 +26,14 @@
             <th>Description, Amount, Date</th>
             <th>Response</th>
-            <th>Transactioncode</th>
+            <th>Transaction Code</th>
           </tr>
           <tr tal:repeat="row rows"
               tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
             <td tal:attributes="class string:${row/confirmed}">
-              <a target="slip" href="" tal:attributes="href string:${context/absolute_url}/${row/id}/payment_receipt"
+              <a style="white-space:normal"  target="slip" href="" tal:attributes="href string:${context/absolute_url}/${row/id}/payment_receipt"
                  onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
                 <strong tal:content="row/title" /></a> 
             </td>
-            <td tal:content="row/resp_desc" />
+            <td style="white-space:normal" tal:content="row/resp_desc" />
             <td tal:content="row/trans_ref" />
             <td>
@@ -42,13 +42,13 @@
                  onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure? You will not be able to undo the approval.'), );"
                  >
-                [approve payment]
+                [approve]
               </a>             
             </td>
-            <td tal:condition="row/is_requeryable">
-              <a tal:condition="python:1"
+            <td>
+              <a tal:condition="row/is_requeryable"
                  tal:attributes="href row/href;
                  onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure?'), );"
                  >
-                [requery payment]
+                [requery]
               </a>             
             </td>