Index: WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1958)
@@ -80,11 +80,11 @@
  </widget>
  <widget name="firstname" meta_type="String Widget">
-  <property name="title">Firstname</property>
+  <property name="title">First Name</property>
   <property name="fields">
    <element value="firstname"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Firstname</property>
-  <property name="label_edit">Firstname</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -92,10 +92,10 @@
  </widget>
  <widget name="middlename" meta_type="String Widget">
-  <property name="title">Middlename</property>
+  <property name="title">Middle Name</property>
   <property name="fields">
    <element value="middlename"/>
   </property>
-  <property name="label">Middlename</property>
-  <property name="label_edit">Middlename</property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -103,11 +103,11 @@
  </widget>
  <widget name="lastname" meta_type="String Widget">
-  <property name="title">Lastname</property>
+  <property name="title">Last Name</property>
   <property name="fields">
    <element value="lastname"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Lastname</property>
-  <property name="label_edit">Lastname</property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 1958)
@@ -1,3 +1,3 @@
-<?xml version="1.0"?>
+^<?xml version="1.0"?>
 <object name="members_search" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
@@ -11,6 +11,6 @@
    <element value="email"/>
   </property>
-  <property name="label">label_email</property>
-  <property name="label_edit">label_email</property>
+  <property name="label">Email Address</property>
+  <property name="label_edit">Email Address</property>
   <property name="description">Member email</property>
   <property name="is_i18n">True</property>
@@ -20,6 +20,6 @@
    <element value="givenName"/>
   </property>
-  <property name="label">Firstname</property>
-  <property name="label_edit">Firstname</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
   <property name="description">Member first name</property>
   <property name="is_i18n">True</property>
@@ -44,6 +44,6 @@
    <element value="id"/>
   </property>
-  <property name="label">User name</property>
-  <property name="label_edit">User name</property>
+  <property name="label">User Name</property>
+  <property name="label_edit">User Name</property>
   <property name="description">Member login</property>
   <property name="is_i18n">True</property>
@@ -56,6 +56,6 @@
    <element value="sn"/>
   </property>
-  <property name="label">Lastname</property>
-  <property name="label_edit">Lastname</property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
   <property name="description">Member last name</property>
   <property name="is_i18n">True</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1958)
@@ -123,10 +123,10 @@
  </widget>
  <widget name="jamb_firstname" meta_type="String Widget">
-  <property name="title">Firstname</property>
+  <property name="title">First Name</property>
   <property name="fields">
    <element value="jamb_firstname"/>
   </property>
-  <property name="label">Firstname</property>
-  <property name="label_edit">Firstname</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -136,10 +136,10 @@
  </widget>
  <widget name="jamb_lastname" meta_type="String Widget">
-  <property name="title">Lastname</property>
+  <property name="title">Last Name</property>
   <property name="fields">
    <element value="jamb_lastname"/>
   </property>
-  <property name="label">Lastname</property>
-  <property name="label_edit">Lastname</property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -160,10 +160,10 @@
  </widget>
  <widget name="jamb_middlename" meta_type="String Widget">
-  <property name="title">Middlename</property>
+  <property name="title">Middle Name</property>
   <property name="fields">
    <element value="jamb_middlename"/>
   </property>
-  <property name="label">Middlename</property>
-  <property name="label_edit">Middlename</property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1958)
@@ -138,6 +138,6 @@
    <element value="jamb_firstname"/>
   </property>
-  <property name="label">Firstname</property>
-  <property name="label_edit">Firstname</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -150,5 +150,5 @@
  </widget>
  <widget name="jamb_lastname" meta_type="String Widget">
-  <property name="title">Lastname</property>
+  <property name="title">Last Name</property>
   <property name="fields">
    <element value="jamb_lastname"/>
@@ -165,10 +165,10 @@
  </widget>
  <widget name="jamb_middlename" meta_type="String Widget">
-  <property name="title">Middlename</property>
+  <property name="title">Middle Name</property>
   <property name="fields">
    <element value="jamb_middlename"/>
   </property>
-  <property name="label">Middlename</property>
-  <property name="label_edit">Middlename</property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1958)
@@ -75,13 +75,13 @@
  </widget>
  <widget name="alr_fname" meta_type="String Widget">
-  <property name="title">Fullname</property>
+  <property name="title">Full Name</property>
   <property name="fields">
    <element value="alr_fname"/>
   </property>
-  <property name="label">Fullname</property>
-  <property name="label_edit">Fullname</property>
+  <property name="label">Full Name</property>
+  <property name="label_edit">Full Name</property>
   <property name="description">Advanced Level Data</property>
   <property
-     name="help">Fullname as it appears on certificate/result</property>
+     name="help">Full name as it appears on certificate/result</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -328,13 +328,13 @@
  </widget>
  <widget name="fst_sit_fname" meta_type="String Widget">
-  <property name="title">Fullname</property>
+  <property name="title">Full Name</property>
   <property name="fields">
    <element value="fst_sit_fname"/>
   </property>
-  <property name="label">Fullname</property>
-  <property name="label_edit">Fullname</property>
+  <property name="label">Full Name</property>
+  <property name="label_edit">Full Name</property>
   <property name="description">First Sitting Data</property>
   <property
-     name="help">Fullname as it appears on certificate/result</property>
+     name="help">Full name as it appears on certificate/result</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -643,13 +643,13 @@
  </widget>
  <widget name="scd_sit_fname" meta_type="String Widget">
-  <property name="title">Fullname</property>
+  <property name="title">Full Name</property>
   <property name="fields">
    <element value="scd_sit_fname"/>
   </property>
-  <property name="label">Fullname</property>
-  <property name="label_edit">Fullname</property>
+  <property name="label">Full Name</property>
+  <property name="label_edit">Full Name</property>
   <property name="description">Second Sitting Data</property>
   <property
-     name="help">Fullname as it appears on certificate/result</property>
+     name="help">Full name as it appears on certificate/result</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1958)
@@ -76,13 +76,13 @@
  </widget>
  <widget name="alr_fname" meta_type="String Widget">
-  <property name="title">Fullname</property>
+  <property name="title">Full Name</property>
   <property name="fields">
    <element value="alr_fname"/>
   </property>
-  <property name="label">Fullname</property>
-  <property name="label_edit">Fullname</property>
+  <property name="label">Full Name</property>
+  <property name="label_edit">Full Name</property>
   <property name="description">Advanced Level Data</property>
   <property
-     name="help">Fullname as it appears on certificate/result</property>
+     name="help">Full name as it appears on certificate/result</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -314,13 +314,13 @@
  </widget>
  <widget name="fst_sit_fname" meta_type="String Widget">
-  <property name="title">Fullname</property>
+  <property name="title">Full Name</property>
   <property name="fields">
    <element value="fst_sit_fname"/>
   </property>
-  <property name="label">Fullname</property>
-  <property name="label_edit">Fullname</property>
+  <property name="label">Full Name</property>
+  <property name="label_edit">Full Name</property>
   <property name="description">First Sitting Data</property>
   <property
-     name="help">Fullname as it appears on certificate/result</property>
+     name="help">Full name as it appears on certificate/result</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -649,13 +649,13 @@
  </widget>
  <widget name="scd_sit_fname" meta_type="String Widget">
-  <property name="title">Fullname</property>
+  <property name="title">Full Name</property>
   <property name="fields">
    <element value="scd_sit_fname"/>
   </property>
-  <property name="label">Fullname</property>
-  <property name="label_edit">Fullname</property>
+  <property name="label">Full Name</property>
+  <property name="label_edit">Full Name</property>
   <property name="description">Second Sitting Data</property>
   <property
-     name="help">Fullname as it appears on certificate/result</property>
+     name="help">Full name as it appears on certificate/result</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1958)
@@ -21,11 +21,11 @@
  </widget>
  <widget name="firstname" meta_type="String Widget">
-  <property name="title">Firstname</property>
+  <property name="title">First Name</property>
   <property name="fields">
    <element value="firstname"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Firstname</property>
-  <property name="label_edit">Firstname</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -33,11 +33,11 @@
  </widget>
  <widget name="lastname" meta_type="String Widget">
-  <property name="title">Lastname</property>
+  <property name="title">Last Name</property>
   <property name="fields">
    <element value="lastname"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Lastname</property>
-  <property name="label_edit">Lastname</property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -79,5 +79,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">10</property>
- </widget> 
+ </widget>
  <widget name="matric_no" meta_type="String Widget">
   <property name="title">Matriculation No</property>
@@ -93,10 +93,10 @@
  </widget>
  <widget name="middlename" meta_type="String Widget">
-  <property name="title">Middlename</property>
+  <property name="title">Middle Name</property>
   <property name="fields">
    <element value="middlename"/>
   </property>
-  <property name="label">Middlename</property>
-  <property name="label_edit">Middlename</property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -154,5 +154,5 @@
   <row>
    <cell name="jamb_reg_no"/>
-  </row>  
+  </row>
   <row>
    <cell name="study_course"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml	(revision 1958)
@@ -113,7 +113,7 @@
    <element value="name"/>
   </property>
-  <property name="label">Firstname, Middlename or Lastname</property>
+  <property name="label">First name, middle name or last name</property>
   <property
-     name="label_edit">Enter either your  Firstname, Middlename or Lastname</property>
+     name="label_edit">Enter either your  first, middle or last name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 1958)
@@ -45,10 +45,10 @@
  </widget>
  <widget name="firstname" meta_type="String Widget">
-  <property name="title">Firstname</property>
+  <property name="title">First Name</property>
   <property name="fields">
    <element value="firstname"/>
   </property>
-  <property name="label">Firstname</property>
-  <property name="label_edit">Firstname</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -112,10 +112,10 @@
  </widget>
  <widget name="lastname" meta_type="String Widget">
-  <property name="title">Lastname</property>
+  <property name="title">Last Name</property>
   <property name="fields">
    <element value="lastname"/>
   </property>
-  <property name="label">Lastname</property>
-  <property name="label_edit">Lastname</property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -137,10 +137,10 @@
  </widget>
  <widget name="middlename" meta_type="String Widget">
-  <property name="title">Middlename</property>
+  <property name="title">Middle Name</property>
   <property name="fields">
    <element value="middlename"/>
   </property>
-  <property name="label">Middlename</property>
-  <property name="label_edit">Middlename</property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -192,10 +192,10 @@
  </widget>
  <widget name="next_kin_firstname" meta_type="String Widget">
-  <property name="title">Next of Kin Firstname</property>
+  <property name="title">Next of Kin First Name</property>
   <property name="fields">
    <element value="next_kin_firstname"/>
   </property>
-  <property name="label">Next of Kin Firstname</property>
-  <property name="label_edit">Next of Kin Firstname</property>
+  <property name="label">Next of Kin First Name</property>
+  <property name="label_edit">Next of Kin First Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -203,10 +203,10 @@
  </widget>
  <widget name="next_kin_lastname" meta_type="String Widget">
-  <property name="title">Next of Kin Lastname</property>
+  <property name="title">Next of Kin Last Name</property>
   <property name="fields">
    <element value="next_kin_lastname"/>
   </property>
-  <property name="label">Next of Kin Lastname</property>
-  <property name="label_edit">Next of Kin Lastname</property>
+  <property name="label">Next of Kin Last Name</property>
+  <property name="label_edit">Next of Kin Last Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -214,10 +214,10 @@
  </widget>
  <widget name="next_kin_middlename" meta_type="String Widget">
-  <property name="title">Next of Kin Middlename</property>
+  <property name="title">Next of Kin Middle Name</property>
   <property name="fields">
    <element value="next_kin_middlename"/>
   </property>
-  <property name="label">Next of Kin Middlename</property>
-  <property name="label_edit">Next of Kin Middlename</property>
+  <property name="label">Next of Kin Middle Name</property>
+  <property name="label_edit">Next of Kin Middle Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -372,10 +372,10 @@
  </widget>
  <widget name="sponsor_firstname" meta_type="String Widget">
-  <property name="title">Sponsor Firstname</property>
+  <property name="title">Sponsor First Name</property>
   <property name="fields">
    <element value="sponsor_firstname"/>
   </property>
-  <property name="label">Sponsor Firstname</property>
-  <property name="label_edit">Sponsor Firstname</property>
+  <property name="label">Sponsor First Name</property>
+  <property name="label_edit">Sponsor First Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -383,10 +383,10 @@
  </widget>
  <widget name="sponsor_lastname" meta_type="String Widget">
-  <property name="title">Sponsor Lastname</property>
+  <property name="title">Sponsor Last Name</property>
   <property name="fields">
    <element value="sponsor_lastname"/>
   </property>
-  <property name="label">Sponsor Lastname</property>
-  <property name="label_edit">Sponsor Lastname</property>
+  <property name="label">Sponsor Last Name</property>
+  <property name="label_edit">Sponsor Last Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -394,10 +394,10 @@
  </widget>
  <widget name="sponsor_middlename" meta_type="String Widget">
-  <property name="title">Sponsor Middlename</property>
+  <property name="title">Sponsor Middle Name</property>
   <property name="fields">
    <element value="sponsor_middlename"/>
   </property>
-  <property name="label">Sponsor Middlename</property>
-  <property name="label_edit">Sponsor Middlename</property>
+  <property name="label">Sponsor Middle Name</property>
+  <property name="label_edit">Sponsor Middle Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 1958)
@@ -45,10 +45,10 @@
  </widget>
  <widget name="firstname" meta_type="String Widget">
-  <property name="title">Firstname</property>
+  <property name="title">First Name</property>
   <property name="fields">
    <element value="firstname"/>
   </property>
-  <property name="label">Firstname</property>
-  <property name="label_edit">Firstname</property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -114,10 +114,10 @@
  </widget>
  <widget name="lastname" meta_type="String Widget">
-  <property name="title">Lastname</property>
+  <property name="title">Last Name</property>
   <property name="fields">
    <element value="lastname"/>
   </property>
-  <property name="label">Lastname</property>
-  <property name="label_edit">Lastname</property>
+  <property name="label">Last Name</property>
+  <property name="label_edit">Last Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -141,10 +141,10 @@
  </widget>
  <widget name="middlename" meta_type="String Widget">
-  <property name="title">Middlename</property>
+  <property name="title">Middle Name</property>
   <property name="fields">
    <element value="middlename"/>
   </property>
-  <property name="label">Middlename</property>
-  <property name="label_edit">Middlename</property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -198,10 +198,10 @@
  </widget>
  <widget name="next_kin_firstname" meta_type="String Widget">
-  <property name="title">Next of Kin Firstname</property>
+  <property name="title">Next of Kin First Name</property>
   <property name="fields">
    <element value="next_kin_firstname"/>
   </property>
-  <property name="label">Next of Kin Firstname</property>
-  <property name="label_edit">Next of Kin Firstname</property>
+  <property name="label">Next of Kin First Name</property>
+  <property name="label_edit">Next of Kin First Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -209,10 +209,10 @@
  </widget>
  <widget name="next_kin_lastname" meta_type="String Widget">
-  <property name="title">Next of Kin Lastname</property>
+  <property name="title">Next of Kin Last Name</property>
   <property name="fields">
    <element value="next_kin_lastname"/>
   </property>
-  <property name="label">Next of Kin Lastname</property>
-  <property name="label_edit">Next of Kin Lastname</property>
+  <property name="label">Next of Kin Last Name</property>
+  <property name="label_edit">Next of Kin Last Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -220,10 +220,10 @@
  </widget>
  <widget name="next_kin_middlename" meta_type="String Widget">
-  <property name="title">Next of Kin Middlename</property>
+  <property name="title">Next of Kin Middle Name</property>
   <property name="fields">
    <element value="next_kin_middlename"/>
   </property>
-  <property name="label">Next of Kin Middlename</property>
-  <property name="label_edit">Next of Kin Middlename</property>
+  <property name="label">Next of Kin Middle Name</property>
+  <property name="label_edit">Next of Kin Middle Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -380,10 +380,10 @@
  </widget>
  <widget name="sponsor_firstname" meta_type="String Widget">
-  <property name="title">Sponsor Firstname</property>
+  <property name="title">Sponsor First Name</property>
   <property name="fields">
    <element value="sponsor_firstname"/>
   </property>
-  <property name="label">Sponsor Firstname</property>
-  <property name="label_edit">Sponsor Firstname</property>
+  <property name="label">Sponsor First Name</property>
+  <property name="label_edit">Sponsor First Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -391,10 +391,10 @@
  </widget>
  <widget name="sponsor_lastname" meta_type="String Widget">
-  <property name="title">Sponsor Lastname</property>
+  <property name="title">Sponsor Last Name</property>
   <property name="fields">
    <element value="sponsor_lastname"/>
   </property>
-  <property name="label">Sponsor Lastname</property>
-  <property name="label_edit">Sponsor Lastname</property>
+  <property name="label">Sponsor Last Name</property>
+  <property name="label_edit">Sponsor Last Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -402,10 +402,10 @@
  </widget>
  <widget name="sponsor_middlename" meta_type="String Widget">
-  <property name="title">Sponsor Middlename</property>
+  <property name="title">Sponsor Middle Name</property>
   <property name="fields">
    <element value="sponsor_middlename"/>
   </property>
-  <property name="label">Sponsor Middlename</property>
-  <property name="label_edit">Sponsor Middlename</property>
+  <property name="label">Sponsor Middle Name</property>
+  <property name="label_edit">Sponsor Middle Name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1952)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_session_results_search.xml	(revision 1958)
@@ -115,7 +115,7 @@
    <element value="Lastname"/>
   </property>
-  <property name="label">Firstname, Middlename or Lastname</property>
+  <property name="label">First name, middle name or last name</property>
   <property
-     name="label_edit">Enter either your  Firstname, Middlename or Lastname</property>
+     name="label_edit">Enter either your first, middle or last name</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">