Index: WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1977)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_study_level_view.pt	(revision 1980)
@@ -1,22 +1,27 @@
-<metal:html>
-  <metal:body use-macro="here/slip_template/macros/master">
-    <metal:block fill-slot="header" 
-                 tal:define="global info context/getStudyLevelInfo;
-                 global is_so context/isSectionOfficer;
-                 global is_ca info/is_ca;
-                 global show_check_boxes info/show_check_boxes;
-		             global is_student info/is_student;
-		             global status_info info/status_info;
-		             global review_state info/review_state;
-		             global view_only info/view_only">
-              <div style="text-align: right"
-             tal:condition="python:review_state == 'courses_validated'">
-        <a href="" target="slip" tal:attributes="href string:course_registration_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Course Registration Slip
-        </a>
-        
-        </div>
+<metal:body use-macro="here/slip_template/macros/master">
+  <metal:main fill-slot="main"
+          tal:define="info context/getStudyLevelInfo;">
+             
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define= "is_so context/isSectionOfficer;
+                       is_ca info/is_ca;
+                       show_check_boxes info/show_check_boxes;
+                       is_student info/is_student;
+                       status_info info/status_info;
+                       review_state info/review_state;
+                       view_only info/view_only">       
+
+    <div style="text-align: right" 
+         tal:condition="python:review_state in ('courses_registered','courses_validated',)">
+    <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Course Registration Slip
+    </a>
+    </div>
+
 
       <h3> 
@@ -27,6 +32,4 @@
       </h3>
 
-    </metal:block>
-    <metal:main fill-slot="main" tal:condition="python:1">
       <form action="." method="post" class="group">
         <span tal:condition="info/carry_overs" tal:omit-tag="">
@@ -46,8 +49,8 @@
             </td>
             <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/grade|string:"></td>
+            <td width="10%" tal:content="row/code"></td>
+            <td width="2%">S<span tal:content="row/semester" /></td>
+            <td width="2%" tal:content="row/credits"></td>
+            <td width="8%" tal:content="row/grade|string:"></td>
           </tr>
         </table>
@@ -73,8 +76,8 @@
             </td>
             <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/coe|nothing"></td>
+            <td width="10%" tal:content="row/code"></td>
+            <td width="2%">S<span tal:content="row/semester" /></td>
+            <td width="2%" tal:content="row/credits"></td>
+            <td width="8%" tal:content="row/coe|nothing"></td>
           </tr>
           <tr>
@@ -196,6 +199,7 @@
         </table>
         </form>         
-    </metal:main>
-  </metal:body>
-</metal:html>
+  </span>
+  </span>          
+  </metal:main>
+</metal:body>
   