Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1983)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1984)
@@ -1,5 +1,6 @@
 <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main" 
-           tal:define="info context/getStudentFolderInfo;">
+           tal:define="info context/getStudentFolderInfo;
+                       baseinfo context/getStudentBaseInfo">
       <metal:block tal:condition="not: info">
         <span tal:content="here/illegal_view" />
@@ -19,89 +20,134 @@
         <h3 tal:content="info/name" />
         <br />
-
-        <table tal:condition="is_staff" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row rows"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td><a href="view" tal:attributes="href string:${row/url}">
-              <strong tal:content="row/title" /></a> </td>
-            <td> 
-            <a tal:condition="python: row['is_editable'] and not row['type'] in ('StudentClearance','StudentAccommodation',)"
-                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
-                target="edit"
-                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                [edit]
-            </a> 
-            <a tal:condition="python: row['is_editable'] and row['type']=='StudentClearance'"
-                href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
-                target="edit"
-                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                [edit and change state]
-            </a>  
-            <a tal:condition="python: context.isClearanceOfficer() and row['type']=='StudentClearance'"
-                href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
-                target="edit"
-                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                [change state]
-            </a>                            
-            </td>
-            
-          </tr>
-          <tr tal:condition="info/session">
-            <td>
-                <a href="edit" tal:attributes="href string:session_results_view">
-                <strong>Session Results</strong>
-            </a>             
-            </td>
-            <td>
-               &nbsp;
-            </td>
-          </tr>
-        </table>
         
-                  
-         <span tal:condition="python:info['member'].id in 
-                             ('admin','joachim','kehindesamuel','med','isouaba','obadejo',
-                              'ehioaiks','despej','shinakale','igadoghe','benamechi','edafeohwo')">
-         <br />
-         <form action="mail_password_form" method="post" class="group">
-            <input type="submit" class="context" value="Send Email with Authentication Data" />
-         </form>
-         </span> 
+        
+        
+      <table>
+        <tr>
+          <td width="220px">Registration Number:</td> 
+          <td><span tal:content="baseinfo/student/jamb_reg_no" /></td>
+        </tr>
+        <tr>
+          <td>Matriculation Number:</td> 
+          <td><span tal:content="baseinfo/student/matric_no" /></td>
+        </tr>      
+        <tr>
+          <td>Certificate Code:</td> 
+          <td><span tal:content="baseinfo/student/course" /></td>
+        </tr>
+        <tr>
+          <td>Faculty Id:</td>
+          <td tal:content="baseinfo/student/faculty" />
+        </tr>
+        <tr>
+          <td>Department Id:</td> 
+          <td><span tal:content="baseinfo/student/department" /></td>
+        </tr>
+        <tr>
+          <td>Current Session:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.sessions.get(baseinfo['student']['session'])" /></td>
+        </tr>
+        <tr>
+          <td>Current Study Level:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.courselevel.get(baseinfo['student']['level'])" /></td>
+        </tr>
+        <tr>
+          <td>Current Study Mode:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.entry_modes.get(baseinfo['student']['mode'])" /></td>
+        </tr>        
+        <tr>
+          <td>Current Verdict:</td> 
+          <td><span tal:content="python:context.portal_vocabularies.verdicts.get(baseinfo['student']['verdict']).upper()" /></td>
+        </tr>
+      </table>           
+        
+      <br />
+      
+      <table tal:condition="is_staff" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+        <tr tal:repeat="row rows"
+          tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td><a href="view" tal:attributes="href string:${row/url}">
+            <strong tal:content="row/title" /></a> </td>
+          <td> 
+          <a tal:condition="python: row['is_editable'] and not row['type'] in ('StudentClearance','StudentAccommodation','PaymentsFolder')"
+              href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+              target="edit"
+              onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+              [edit]
+          </a> 
+          <a tal:condition="python: row['is_editable'] and row['type']=='StudentClearance'"
+              href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
+              target="edit"
+              onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+              [edit and change state]
+          </a>  
+          <a tal:condition="python: context.isClearanceOfficer() and row['type']=='StudentClearance'"
+              href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
+              target="edit"
+              onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+              [change state]
+          </a>                            
+          </td>
+          
+        </tr>
+        <tr tal:condition="info/session">
+          <td>
+              <a href="edit" tal:attributes="href string:session_results_view">
+              <strong>Session Results</strong>
+          </a>             
+          </td>
+          <td>
+             &nbsp;
+          </td>
+        </tr>
+      </table>
+      
+                
+      <span tal:condition="python:info['member'].id in 
+                         ('admin','joachim','kehindesamuel','med','isouaba','obadejo',
+                          'ehioaiks','despej','shinakale','igadoghe','benamechi','edafeohwo')">
+      <br />
+      <form action="mail_password_form" method="post" class="group">
+         <input type="submit" class="context" value="Send Email with Authentication Data" />
+      </form>
+      </span> 
 
 
-        
+      
 
-    <table tal:condition="is_student" class="contentListing" width="" summary="content layout" id="folder_content">      
-      <span tal:repeat="row rows">
-        <tr tal:condition="row/display">
-          <td><a href="view" tal:condition="row/s_view_link"
-                 tal:attributes="href string:${row/s_view_link}">
-              <strong tal:content="row/title" /></a>
-           <strong tal:condition="not:row/s_view_link" tal:content="row/title" />
+      <table tal:condition="is_student" class="contentListing" width="" summary="content layout" id="folder_content">      
+        <span tal:repeat="row rows">
+          <tr tal:condition="row/display">
+            <td width="220px"><a href="view" tal:condition="row/s_view_link"
+                   tal:attributes="href string:${row/s_view_link}">
+                <strong tal:content="row/title" /></a>
+             <strong tal:condition="not:row/s_view_link" tal:content="row/title" />
+            </td>
+  
+            <td align="left"> 
+                <span tal:content="row/review_state" />
+            </td>          
+            
+            <td width="40px" align="center"> 
+              <a tal:condition="python: row['s_edit_link'] and row['is_editable']"
+                 href="edit" tal:attributes="href string:${row/s_edit_link}">
+                [edit]
+              </a>     
+            </td>                 
+            
+  
+          </tr>
+        </span>
+        <tr tal:condition="info/session">
+          <td>
+              <a href="edit" tal:attributes="href string:session_results_view">
+              <strong>Session Results</strong>
+          </a>             
           </td>
-
-          <td width="80px" align="center"> 
-            <a tal:condition="python: row['s_edit_link'] and row['is_editable']"
-               href="edit" tal:attributes="href string:${row/s_edit_link}">
-              [edit]
-            </a>     
-          </td>                 
-          
-          <td width="100px" align="left"> 
-              <span tal:content="row/review_state" />
+          <td>
+             &nbsp;
           </td>
         </tr>
-      </span>
-      <tr tal:condition="info/session">
-        <td>
-            <a href="edit" tal:attributes="href string:session_results_view">
-            <strong>Session Results</strong>
-        </a>             
-        </td>
-        <td>
-           &nbsp;
-        </td>
-      </tr>
-    </table>
+      </table>
         
     </metal:block>