Index: /WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTables.py	(revision 1985)
+++ /WAeUP_SRP/trunk/WAeUPTables.py	(revision 1986)
@@ -61,5 +61,5 @@
     def manage_catalogClear(self, REQUEST=None, RESPONSE=None, URL1=None):
         """ clears the whole enchilada """
-        
+
         #if REQUEST and RESPONSE:
         #    RESPONSE.redirect(
@@ -357,14 +357,8 @@
             digit = int(doc.jamb_reg_no[0])
         except:
-            return "xx"
+            return "-1"
         if digit < 8:
             return "0%c" % doc.jamb_reg_no[0]
         return "9%c" % doc.jamb_reg_no[0]
-
-    def get_from_doc_session(self,doc):
-        "return the students session"
-        if doc is None:
-            return None
-        return getattr(doc,'current_session',None)
 
     def get_from_doc_course(self,doc):
Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 1985)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 1986)
@@ -177,5 +177,5 @@
 
 class WAeUPStudyModeWidget(CPSSelectWidget): ###(
-    """WAeUP StudyMode widget."""
+    """WAeUP StudyMode Widget."""
     meta_type = 'WAeUP StudyMode Widget'
     vocabulary = 'entry_modes'
@@ -246,10 +246,10 @@
 
 class WAeUPSessionWidget(CPSSelectWidget): ###(
-    """WAeUP Session widget."""
+    """WAeUP Session Widget."""
     meta_type = 'WAeUP Session Widget'
 
     def _getSessions(self):
         current_year = DateTime().year()
-        d = {'xx': 'unknown'}
+        d = {'-1': 'N/A'}
         for y in range(current_year - 9,current_year + 1):
             d['%s' % str(y)[-2:]] = '%4d/%4d' % (y,y+1)
@@ -295,5 +295,5 @@
             vocabulary_items = sessions.items()
             if self.sorted:
-                vocabulary_items.sort(key=operator.itemgetter(1))
+                vocabulary_items.sort(key=operator.itemgetter(0))
             for k, v in vocabulary_items:
                 kw = {'value': k, 'contents': v}
@@ -321,5 +321,5 @@
 
     def _getLevels(self):
-        d = {'999':'unknown'}
+        d = {'000':'N/A'}
         for y in range(100,800,100):
             d['%s' % str(y)] = 'Year %1d (%3d Level)' % (y/100,y)
@@ -363,5 +363,5 @@
             vocabulary_items = levels.items()
             if self.sorted:
-                vocabulary_items.sort(key=operator.itemgetter(1))
+                vocabulary_items.sort(key=operator.itemgetter(0))
             for k, v in vocabulary_items:
                 kw = {'value': k, 'contents': v}
@@ -385,5 +385,5 @@
 
 class WAeUPVerdictWidget(CPSSelectWidget): ###(
-    """WAeUP Verdict widget."""
+    """WAeUP Verdict Widget."""
     meta_type = 'WAeUP Verdict Widget'
 
Index: /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1985)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1986)
@@ -164,5 +164,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">sessions</property>
+  <property name="vocabulary">unset</property>
   <property name="sorted">True</property>
  </widget>
@@ -179,5 +179,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">courselevel</property>
+  <property name="vocabulary">unset</property>
   <property name="sorted">True</property>
  </widget>
@@ -195,4 +195,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">verdicts</property>
+  <property name="sorted">True</property>
  </widget>
  <widget name="entry_session" meta_type="WAeUP Session Widget">
@@ -206,5 +207,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">sessions</property>
+  <property name="vocabulary">unset</property>
   <property name="sorted">True</property>
  </widget>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml	(revision 1985)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml	(revision 1986)
@@ -6,5 +6,5 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="unknown" msgid="">unknown</item>
+ <item key="000" msgid="">N/A</item>
  <item key="100" msgid="">Year 1 (100 Level)</item>
  <item key="200" msgid="">Year 2 (200 Level)</item>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml	(revision 1985)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/entry_modes.xml	(revision 1986)
@@ -6,5 +6,5 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="unknown" msgid="">unknown</item>
+ <item key="unknown" msgid="">N/A</item>
  <item key="ume_ft" msgid="">UME Full Time</item>
  <item key="de_ft" msgid="">Direct Entry Full Time</item>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1985)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/verdicts.xml	(revision 1986)
@@ -6,4 +6,5 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
+ <item key="N/A" msgid="">N/A</item>
  <item key="A" msgid="">successful student</item>
  <item key="B" msgid="">student with carryover courses</item>
@@ -18,4 +19,3 @@
  <item key="K" msgid="">unregistered student</item>
  <item key="L" msgid="">referred student</item>
- <item key="N/A" msgid="">N/A</item>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_default/sessions_voc.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/sessions_voc.py	(revision 1985)
+++ /WAeUP_SRP/trunk/skins/waeup_default/sessions_voc.py	(revision 1986)
@@ -6,5 +6,6 @@
 """
 if key is None:
-    l = [('xx','unknown')]
+    # not used for WAeUPSessionWidget, only for SelectWidget
+    l = [('-1','N/A')]
     for y in range(1998,2008):
         l.append( ('%s' % str(y)[-2:],'%4d/%4d' % (y,y+1)))
@@ -14,5 +15,7 @@
     y = int(key)
 except:
-    return 'unknown'
+    return 'N/A'
+if y == -1:
+    return 'N/A' 
 if y < 90:
     cent = 2000
Index: /WAeUP_SRP/trunk/skins/waeup_student/create_level.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/create_level.py	(revision 1985)
+++ /WAeUP_SRP/trunk/skins/waeup_student/create_level.py	(revision 1986)
@@ -34,5 +34,5 @@
 current_level = student.level
 in_progress =  request.get('in_progress','not started')
-level_created =  request.get('level_created','xxx')
+#level_created =  request.get('level_created','xxx')
 create_level =  request.get('create_level',None)
 
@@ -71,5 +71,5 @@
     l = []
     carry_overs = results
-    
+
     # carry_overs for probation students: yes or not, that is the question
     #if student.verdict == "C": # on probation