Index: /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1988)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 1989)
@@ -76,5 +76,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">courselevel</property>
+  <property name="vocabulary">levels</property>
  </widget>
  <widget name="m_prefix" meta_type="String Widget">
@@ -193,5 +193,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">courselevel</property>
+  <property name="vocabulary">levels</property>
  </widget>
  <widget name="school_fee_code" meta_type="String Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1988)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_create.xml	(revision 1989)
@@ -66,5 +66,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">courselevel</property>
+  <property name="vocabulary">levels</property>
  </widget>
  <widget name="jamb_reg_no" meta_type="String Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1988)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1989)
@@ -59,5 +59,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">courselevel</property>
+  <property name="vocabulary">levels</property>
  </widget>
  <widget name="current_mode" meta_type="Select Widget">
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1988)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1989)
@@ -5,5 +5,5 @@
  <object name="acco_hall_beds" meta_type="CPS Method Vocabulary"/>
  <object name="acco_hall_reserved_rooms" meta_type="CPS Method Vocabulary"/>
- <object name="courselevel" meta_type="CPS Vocabulary"/>
+ <object name="levels" meta_type="CPS Vocabulary"/>
  <object name="csv_names" meta_type="CPS Method Vocabulary"/>
  <object name="entry_modes" meta_type="CPS Vocabulary"/>
Index: eUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml	(revision 1988)
+++ 	(revision )
@@ -1,15 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
-<object name="courselevel" meta_type="CPS Vocabulary">
- <property name="title"></property>
- <property name="title_msgid"></property>
- <property name="description"></property>
- <property name="acl_write_roles">Manager</property>
- <item key="000" msgid="">N/A</item>
- <item key="100" msgid="">Year 1 (100 Level)</item>
- <item key="200" msgid="">Year 2 (200 Level)</item>
- <item key="300" msgid="">Year 3 (300 Level)</item>
- <item key="400" msgid="">Year 4 (400 Level)</item>
- <item key="500" msgid="">Year 5 (500 Level)</item>
- <item key="600" msgid="">Year 6 (600 Level)</item>
-</object>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/levels.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/levels.xml	(revision 1989)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/levels.xml	(revision 1989)
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="levels" meta_type="CPS Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="acl_write_roles">Manager</property>
+ <item key="000" msgid="">N/A</item>
+ <item key="100" msgid="">Year 1 (100 Level)</item>
+ <item key="200" msgid="">Year 2 (200 Level)</item>
+ <item key="300" msgid="">Year 3 (300 Level)</item>
+ <item key="400" msgid="">Year 4 (400 Level)</item>
+ <item key="500" msgid="">Year 5 (500 Level)</item>
+ <item key="600" msgid="">Year 6 (600 Level)</item>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/semester_voc.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/semester_voc.xml	(revision 1988)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/semester_voc.xml	(revision 1989)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
-<object name="courselevel" meta_type="CPS Vocabulary">
+<object name="semester_voc" meta_type="CPS Vocabulary">
  <property name="title"></property>
  <property name="title_msgid"></property>
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 1988)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 1989)
@@ -74,5 +74,5 @@
           </td>
           <td> 
-            <span tal:content="python:context.portal_vocabularies.courselevel.get(info['student']['level'])" />  
+            <span tal:content="python:context.portal_vocabularies.levels.get(info['student']['level'])" />  
           </td>      
         </tr>             
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 1988)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 1989)
@@ -63,5 +63,4 @@
             </tal:block>
           </tr>
-          <tr><td>Post UME Examination Date: </td><td></td></tr>
         </table>
       </td>
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1988)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1989)
@@ -50,5 +50,5 @@
         <tr>
           <td>Current Study Level:</td> 
-          <td><span tal:content="python:context.portal_vocabularies.courselevel.get(baseinfo['student']['level'])" /></td>
+          <td><span tal:content="python:context.portal_vocabularies.levels.get(baseinfo['student']['level'])" /></td>
         </tr>
         <tr>
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1988)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1989)
@@ -33,5 +33,5 @@
       <tr>
         <td width="220px">Current Study Level:</td> 
-        <td><span tal:content="python:context.portal_vocabularies.courselevel.get(info['doc'].current_level)" /></td>
+        <td><span tal:content="python:context.portal_vocabularies.levels.get(info['doc'].current_level)" /></td>
       </tr>
       <tr>