Index: WAeUP_SRP/branches/joachim-azax-branch/Students.py
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/Students.py	(revision 1996)
+++ WAeUP_SRP/branches/joachim-azax-branch/Students.py	(revision 1997)
@@ -17,4 +17,5 @@
 from Products.WAeUP_SRP.Academics import makeCertificateCode
 from Products.AdvancedQuery import Eq, Between, Le,In
+from Products.azax import AzaxBaseView
 import DateTime
 import logging
@@ -1479,5 +1480,5 @@
 ###)
 
-class StudentStudyLevel(CPSDocument): ###(
+class StudentStudyLevel(CPSDocument,AzaxBaseView): ###(
     """
     WAeUP Student container for the various student data
@@ -1491,4 +1492,23 @@
         """compose title"""
         return "Level %s" % self.aq_parent.getId()
+
+    def getCorrespondingSelect(self, value):
+        """ returns select content """
+        import pdb;pdb.set_trace()
+        mapping = {}
+        mapping['']=[]
+        mapping['animals']=['dog', 'cat', 'cow']
+        mapping['machines']=['computer', 'car', 'airplane']
+        # XXX Note that originally we just used replaceInnerHTML to just put
+        # the options inside the select, however this is principally broken 
+        # on IE due to an IE bug. Microsoft has confirmed the bug but is not
+        # giving information on whether it has or it will ever be fixed.
+        # For further info, see http://support.microsoft.com/default.aspx?scid=kb;en-us;276228
+        # The current solution, replace the outer node, works solidly.
+        result = ['<select id="second">']
+        result.extend(['<option>%s</option>' % item for item in mapping[value]])
+        result.append('</select>')
+        self.getCommandSet('core').replaceHTML('select#second', ' '.join(result))
+        return self.render()
 
     def create_course_results(self,cert_id,current_level): ###(
Index: WAeUP_SRP/branches/joachim-azax-branch/__init__.py
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/__init__.py	(revision 1996)
+++ WAeUP_SRP/branches/joachim-azax-branch/__init__.py	(revision 1997)
@@ -30,9 +30,8 @@
 import Products.WAeUP_SRP.WAeUPPermissions
 import WAeUPTool
-import Azax
 
 import Widgets
 tools = (WAeUPTool.WAeUPTool,
-         Azax.KSSTool)
+        )
 
 waeup_types = (
Index: WAeUP_SRP/branches/joachim-azax-branch/profiles/default/skins.xml
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/profiles/default/skins.xml	(revision 1996)
+++ WAeUP_SRP/branches/joachim-azax-branch/profiles/default/skins.xml	(revision 1997)
@@ -3,6 +3,6 @@
    cookie_persistence="False" default_skin="CPSSkins"
    request_varname="portal_skin">
- <object name="waeup_azax" meta_type="Filesystem Directory View"
-    directory="WAeUP_SRP/skins/waeup_azax"/>
+ <object name="waeup_kss" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_kss"/>
  <object name="waeup_custom" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_custom"/>
Index: WAeUP_SRP/branches/joachim-azax-branch/profiles/default/skins/waeup_kss.xml
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/profiles/default/skins/waeup_kss.xml	(revision 1997)
+++ WAeUP_SRP/branches/joachim-azax-branch/profiles/default/skins/waeup_kss.xml	(revision 1997)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<object name="waeup_kss" meta_type="Folder">
+ <property name="title"></property>
+</object>
Index: WAeUP_SRP/branches/joachim-azax-branch/profiles/default/toolset.xml
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/profiles/default/toolset.xml	(revision 1996)
+++ WAeUP_SRP/branches/joachim-azax-branch/profiles/default/toolset.xml	(revision 1997)
@@ -23,5 +23,3 @@
  <required tool_id="waeup_tool"
            class="Products.WAeUP_SRP.WAeUPTool.WAeUPTool"/>
- <required tool_id="kss_tool"
-           class="Products.WAeUP_SRP.Azax.KSSTool"/>
 </tool-setup>
Index: WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_default/a_header_macros.pt
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_default/a_header_macros.pt	(revision 1997)
+++ WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_default/a_header_macros.pt	(revision 1997)
@@ -0,0 +1,77 @@
+<metal:block define-macro="header_resources">
+  <metal:header use-macro="context/azax_header_macros/base_resources" />
+  <metal:header use-macro="context/azax_header_macros/kukit_resource" />
+</metal:block>
+
+<metal:header define-macro="base_resources">
+  <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++sarissa.js;"
+          src="++resource++sarissa.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++cssQuery.js;"
+          src="++resource++cssQuery.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++MochiKit.js;"
+          src="++resource++MochiKit.js">
+  </script>
+</metal:header>
+
+<metal:header define-macro="kukit_resource">
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++kukit.js;"
+          src="++resource++kukit.js">
+  </script>
+</metal:header>
+
+<!-- prototype -->
+
+<metal:header define-macro="header_resources_with_prototype">
+  <metal:header use-macro="context/@@header_macros/base_resources" />
+  <metal:header use-macro="context/@@header_macros/prototype_extra_resources" />
+  <metal:header use-macro="context/@@header_macros/kukit_resource" />
+</metal:header>
+
+<metal:header define-macro="prototype_extra_resources">
+  <script type="text/javascript"
+          tal:attributes="src string:${context/@@absolute_url}/++resource++prototype.js;"
+          src="++resource++prototype.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src string:${context/@@absolute_url}/++resource++effects.js;"
+          src="++resource++effects.js">
+  </script>
+</metal:header>
+
+<!-- ajaxslt-->
+
+<metal:header define-macro="header_resources_with_ajaxslt">
+  <metal:header use-macro="context/@@header_macros/base_resources" />
+  <metal:header use-macro="context/@@header_macros/ajaxslt_extra_resources" />
+  <metal:header use-macro="context/@@header_macros/kukit_resource" />
+</metal:header>
+
+<metal:header define-macro="ajaxslt_extra_resources">
+  <script type="text/javascript"
+          tal:attributes="src
+          string:${context/@@absolute_url}/++resource++ajaxslt_misc.js;"
+          src="++resource++ajaxslt_misc.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src
+          string:${context/@@absolute_url}/++resource++ajaxslt_dom.js;"
+          src="++resource++ajaxslt_dom.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src
+          string:${context/@@absolute_url}/++resource++ajaxslt_xpath.js;"
+          src="++resource++ajaxslt_xpath.js">
+  </script>
+  <!--script type="text/javascript"
+      tal:attributes="src
+      string:${context/@@absolute_url}/++resource++ajaxslt_xslt.js;"
+      src="++resource++ajaxslt_xslt.js">
+    </script-->
+</metal:header>
Index: WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_default/azax_header_macros.pt
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_default/azax_header_macros.pt	(revision 1997)
+++ WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_default/azax_header_macros.pt	(revision 1997)
@@ -0,0 +1,77 @@
+<metal:block define-macro="header_resources">
+  <metal:header use-macro="context/azax_header_macros/macros/base_resources" />
+  <metal:header use-macro="context/azax_header_macros/macros/kukit_resource" />
+</metal:block>
+
+<metal:header define-macro="base_resources">
+  <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++sarissa.js;"
+          src="++resource++sarissa.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++cssQuery.js;"
+          src="++resource++cssQuery.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++MochiKit.js;"
+          src="++resource++MochiKit.js">
+  </script>
+</metal:header>
+
+<metal:header define-macro="kukit_resource">
+  <script type="text/javascript"
+          tal:attributes="src string:${context/azaxdemo/@@absolute_url}/++resource++kukit.js;"
+          src="++resource++kukit.js">
+  </script>
+</metal:header>
+
+<!-- prototype -->
+
+<metal:header define-macro="header_resources_with_prototype">
+  <metal:header use-macro="context/azax_header_macros/macros/base_resources" />
+  <metal:header use-macro="context/azax_header_macros/macros/prototype_extra_resources" />
+  <metal:header use-macro="context/azax_header_macros/macros/kukit_resource" />
+</metal:header>
+
+<metal:header define-macro="prototype_extra_resources">
+  <script type="text/javascript"
+          tal:attributes="src string:${context/@@absolute_url}/++resource++prototype.js;"
+          src="++resource++prototype.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src string:${context/@@absolute_url}/++resource++effects.js;"
+          src="++resource++effects.js">
+  </script>
+</metal:header>
+
+<!-- ajaxslt-->
+
+<metal:header define-macro="header_resources_with_ajaxslt">
+  <metal:header use-macro="context/azax_header_macros/macros/base_resources" />
+  <metal:header use-macro="context/azax_header_macros/macros/ajaxslt_extra_resources" />
+  <metal:header use-macro="context/azax_header_macros/macros/kukit_resource" />
+</metal:header>
+
+<metal:header define-macro="ajaxslt_extra_resources">
+  <script type="text/javascript"
+          tal:attributes="src
+          string:${context/@@absolute_url}/++resource++ajaxslt_misc.js;"
+          src="++resource++ajaxslt_misc.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src
+          string:${context/@@absolute_url}/++resource++ajaxslt_dom.js;"
+          src="++resource++ajaxslt_dom.js">
+  </script>
+  <script type="text/javascript"
+          tal:attributes="src
+          string:${context/@@absolute_url}/++resource++ajaxslt_xpath.js;"
+          src="++resource++ajaxslt_xpath.js">
+  </script>
+  <!--script type="text/javascript"
+      tal:attributes="src
+      string:${context/@@absolute_url}/++resource++ajaxslt_xslt.js;"
+      src="++resource++ajaxslt_xslt.js">
+    </script-->
+</metal:header>
Index: WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_design/main_template.pt
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_design/main_template.pt	(revision 1996)
+++ WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_design/main_template.pt	(revision 1997)
@@ -38,5 +38,5 @@
           <metal:block define-slot="base">
             <base href=""
-                  tal:attributes="href string:${context/get_proxy_url}" />
+                  tal:attributes="href string:${here_url}/" />
           </metal:block>
         </metal:block>
Index: WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_kss/two_select.kss.dtml
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_kss/two_select.kss.dtml	(revision 1997)
+++ WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_kss/two_select.kss.dtml	(revision 1997)
@@ -0,0 +1,4 @@
+select#first:change {
+    action-server: getCorrespondingSelect;
+    getCorrespondingSelect-value:      currentFormVar(value);
+}
Index: WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/clearance_azax_form.pt
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/clearance_azax_form.pt	(revision 1997)
+++ WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/clearance_azax_form.pt	(revision 1997)
@@ -0,0 +1,80 @@
+<metal:definetemplate tal:define="template here/main_template/macros/master">
+<metal:definemacro define-macro="clearance_edit_form">
+<metal:usemacro use-macro=template>
+
+  <metal:main fill-slot="main"
+           tal:define="
+               info context/getClearanceInfo;">
+               
+      <metal:block tal:condition="not: info">
+        <span tal:content="here/illegal_view" />
+      </metal:block>
+      <metal:block tal:condition="info">
+      <metal:block tal:define="               
+               is_so context/isSectionOfficer;
+               is_staff context/isStaff;
+               is_co context/isClearanceOfficer;
+               is_student context/isStudent;
+               review_state info/review_state;
+               clear_review_state info/clear_review_state;
+               editable python:not is_co and (is_student and clear_review_state == 'opened' or is_so);
+               mode python: test(editable,'edit','view');
+               layout_id python: test(is_so,'student_clearance','student_clearance_fe');
+               rendered_main python:info['clear_doc'].render(request=request,
+                                                   layout_mode = mode,
+                                                   schema_id='student_clearance',
+                                                   layout_id=layout_id,
+                                                   use_session=True);
+               form_action string:clearance_edit;
+               creation python:False;">
+
+    <!--  Administration -->
+    <tal:block condition="python: not(is_staff or is_so or is_student)">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </tal:block>
+    <tal:block condition="is_staff">
+      <h3> 
+        <span tal:condition="info">
+          <span tal:content="info/student/Title" />:
+        </span>
+        <span tal:content="here/title_or_id" />
+      </h3>
+      <br />    
+    </tal:block>
+    <!-- Student -->
+    <tal:block condition="python: is_student">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3>Fill Your Clearance/Eligibility Form!</h3>
+      <br />    
+    </tal:block>
+
+               
+    <form action="ACTION" method="post" id="editForm"
+          enctype="multipart/form-data" class="workflow"
+          tal:attributes="action form_action">
+      <div class="group">
+        <div class="documentFields">
+          <tal:block define="getFormUidHtml nocall:modules/Products.CPSDocument.utils/getFormUidHtml"
+                     replace="structure python:getFormUidHtml(request)"/>
+          <input type="hidden" id="button_placeholder" name="button_placeholder" value="" />
+          <div id="rendered_main" tal:content="structure rendered_main">
+            CONTENT
+          </div>
+        </div>
+      </div>
+      <metal:block use-macro="here/clearance_edit_lib/macros/buttons" />
+      </form>
+      <div id="ajax_psm" style="display:none">
+        ajax feedback
+      </div>
+    </metal:block>
+    </metal:block>          
+  </metal:main>
+
+</metal:usemacro> 
+</metal:definemacro>
+</metal:definetemplate>
Index: WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/student_index.py	(revision 1996)
+++ WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/student_index.py	(revision 1997)
@@ -30,5 +30,5 @@
         return context.study_course_view()
     elif context.portal_type == 'StudentStudyLevel':
-        return context.study_level_view()
+        return context.study_level_view_azax()
     elif context.portal_type == 'StudentClearance':
         return context.clearance_view()
Index: WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/study_level_view_azax.pt
===================================================================
--- WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/study_level_view_azax.pt	(revision 1997)
+++ WAeUP_SRP/branches/joachim-azax-branch/skins/waeup_student/study_level_view_azax.pt	(revision 1997)
@@ -0,0 +1,263 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:block fill-slot="head_slot">
+    <link rel="kukit" type="text/css"
+          tal:attributes="href string:${context/portal_url}/azaxdemo/++resource++azax_two_select.kss"/>
+    <metal:block use-macro="here/azax_header_macros/macros/header_resources" />
+  </metal:block>
+  <metal:main fill-slot="main"
+              tal:define="info context/getStudyLevelInfo;">
+             
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define= "is_so context/isSectionOfficer;
+                       is_ca info/is_ca;
+                       show_check_boxes info/show_check_boxes;
+                       is_student info/is_student;
+                       status_info info/status_info;
+                       review_state info/review_state;
+                       view_only info/view_only">       
+    <div style="text-align: right" 
+         tal:condition="python:review_state in ('courses_registered','courses_validated',)">
+    <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Course Registration Slip
+    </a>
+    </div>
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+
+      <h3> 
+      <span tal:condition="python: is_so or is_ca">
+        <span tal:content="info/student/name" />:
+      </span>
+      <span tal:condition="is_student">My </span>
+      
+      Course Registration Form for <span tal:content="here/title_or_id" />
+      </h3>
+      <form action="." method="post" class="group" onsubmit="return submit_once()">
+      <span tal:condition="info/carry_overs" tal:omit-tag="">
+      <h4>Carryover Courses</h4>
+      <br />
+      <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+        <tr tal:repeat="row info/carry_overs"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+              tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="78%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="8%" tal:content="row/grade|string:"></td>
+        </tr>
+      </table>
+      </span> 
+      <br />
+      <h4>Session Courses</h4>
+      <br />
+    <div class="" tal:condition="not: info/normal">
+      <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
+      <br /><br />
+    </div>
+      <table class="contentListing" width="100%" id="folder_content"
+             tal:condition="info/normal">      
+        <tr tal:repeat="row info/normal"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="78%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="8%" tal:content="row/coe|nothing"></td>
+          
+          
+
+
+          <td>
+          <a tal:condition="python:review_state == 'school_fee_paid'" href="edit" tal:attributes="href string:${row/code}/course_edit_form"
+          target="edit"
+          onclick="javascript:window.open('','edit','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          [edit]
+          </a> 
+          </td>          
+          
+          
+        </tr>
+        <tr>
+          <td tal:condition="show_check_boxes" colspan="1"></td>
+          <td colspan="1"></td>
+          <th colspan="2">Total Credits:</th>
+          <td align="center" width="2%" tal:content="info/credits_total"></td>
+        </tr>
+      </table>
+
+      
+    
+      
+      <table tal:condition="python: is_student and review_state == 'school_fee_paid'" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete selected courses?', )" 
+                     />
+              <input tal:condition="python: 1" type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+                    
+                     
+              <br /><br />
+              <input tal:condition="not: info/credits_exceeded" 
+                     type="submit" name="register_courses:method"
+                     class="context" value="Submit" />
+              <span tal:condition="info/credits_exceeded">
+                  <font color="red"> <strong>Your total credits exceed 50!</strong></font>
+              </span>
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>  
+                     
+              <br /><br />
+              
+              <span tal:condition="python: 1">
+              <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
+              prior deletion, i.e. already deleted courses will show up again. 
+              Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
+              </span>
+              <span tal:condition="python: 0">
+              <strong>Note:</strong> The 'Update' function has been temporarily disabled.                                 
+              </span>              
+                     
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_so" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input 
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value string:contact_student_form"/>                         
+
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_ca" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value string:contact_student_form"/>    
+                                           
+
+          </td>
+        </tr>
+      </table>
+    </form>
+      <div class="">
+        <h2>Two Selects</h2>
+        <form name="two">
+          <select id="first" name="value">
+            <option></option>
+            <option>animals</option>
+            <option>machines</option>
+          </select>
+          <select id="second" />
+        </form>
+      </div>
+      <br />
+      <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
+          tal:condition="show_check_boxes">
+      <table>
+        <tr>
+          <th>Course Id</th>
+          <td><input type="text" name="course_id" 
+                     tal:attributes="value request/course_id|nothing"/></td>
+          <td colspan="2">
+            <input type="submit" name="add"
+                   class="context" value="Add Course" 
+                   />
+            <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                       
+          </td>                
+      </table>
+      </form>   
+  </span>
+  </span>          
+  </metal:main>
+</metal:body>
+