Index: /WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1999)
+++ /WAeUP_SRP/trunk/WAeUPTool.py	(revision 2000)
@@ -502,7 +502,7 @@
         ###)
 
-    security.declarePublic('getAccommodationInfo') ###(
-    def getAccommodationInfo(self,bed):
-        """return Accommodation Info"""
+    security.declarePublic('getHallInfo') ###(
+    def getHallInfo(self,bed):
+        """return Hall Info"""
         info = {}
         hall,block,room,letter = bed.split('_')
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/change_bed.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/change_bed.py	(revision 1999)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/change_bed.py	(revision 2000)
@@ -52,5 +52,5 @@
         d['bed'] = bed
         d['student_status'] = status
-        acco_info = context.waeup_tool.getAccommodationInfo(bed)
+        acco_info = context.waeup_tool.getHallInfo(bed)
         d['acco_maint_code'] = acco_info.get('maintenance_code')
         d['acco_maint_fee'] = acco_info.get('maintenance_fee')
@@ -93,5 +93,5 @@
         d['bed'] = bed
         d['student_status'] = status
-        acco_info = context.waeup_tool.getAccommodationInfo(bed)
+        acco_info = context.waeup_tool.getHallInfo(bed)
         d['acco_maint_code'] = acco_info.get('maintenance_code')
         d['acco_maint_fee'] = acco_info.get('maintenance_fee')
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getFormattedBed.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getFormattedBed.py	(revision 1999)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getFormattedBed.py	(revision 2000)
@@ -19,5 +19,5 @@
     return bed
 hall,block,room,letter = bed.split('_')
-info = context.waeup_tool.getAccommodationInfo(bed)
+info = context.waeup_tool.getHallInfo(bed)
 if info:
     hall_title = info['hall_title']
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/reallocate_bed.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/reallocate_bed.py	(revision 1999)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/reallocate_bed.py	(revision 2000)
@@ -54,5 +54,5 @@
         d['bed'] = bed
         d['student_status'] = status
-        acco_info = context.waeup_tool.getAccommodationInfo(bed)
+        acco_info = context.waeup_tool.getHallInfo(bed)
         d['acco_maint_code'] = acco_info.get('maintenance_code')
         d['acco_maint_fee'] = acco_info.get('maintenance_fee')
@@ -98,5 +98,5 @@
         d['bed'] = bed
         d['student_status'] = status
-        acco_info = context.waeup_tool.getAccommodationInfo(bed)
+        acco_info = context.waeup_tool.getHallInfo(bed)
         d['acco_maint_code'] = acco_info.get('maintenance_code')
         d['acco_maint_fee'] = acco_info.get('maintenance_fee')
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_accommodation.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_accommodation.py	(revision 1999)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_accommodation.py	(revision 2000)
@@ -97,5 +97,5 @@
         student.invokeFactory('StudentAccommodation',acco_id)
         acco = getattr(student,acco_id)
-        acco_info = context.waeup_tool.getAccommodationInfo(bed)
+        acco_info = context.waeup_tool.getHallInfo(bed)
         ds.set('acco_maint_code', acco_info.get('maintenance_code'))
         ds.set('acco_maint_fee', acco_info.get('maintenance_fee'))
Index: /WAeUP_SRP/trunk/skins/waeup_student/getMaintenancePrefix.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getMaintenancePrefix.py	(revision 1999)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getMaintenancePrefix.py	(revision 2000)
@@ -14,5 +14,5 @@
 s_info = context.getAccommodationInfo()
 if s_info.has_key('acco_doc'):
-    info = context.waeup_tool.getAccommodationInfo(s_info['acco_doc'].bed)
+    info = context.waeup_tool.getHallInfo(s_info['acco_doc'].bed)
     if info:
         return info['maintenance_code']